net.sf.okapi.common.resource

## Enum ExtendedCodeType

- java.lang.Object
- - java.lang.Enum<ExtendedCodeType>
  - - net.sf.okapi.common.resource.ExtendedCodeType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ExtendedCodeType>

      public enum ExtendedCodeType
      extends java.lang.Enum<ExtendedCodeType>

  Provides extended code types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALIGNMENT`
    `AUTO_PAGE_NUMBER`
    `COLOR`
    `DISCRETIONARY_HYPHEN`
    `DISCRETIONARY_LINE_BRAKE`
    `END_NESTED_STYLE`
    `FIGURE_SPACE`
    `FIXED_WIDTH_NON_BREAKING_SPACE`
    `FLUSH_SPACE`
    `FOOTNOTE_MARKER`
    `FOOTNOTE_REFERENCE`
    `FORCED_LINE_BREAK`
    `HAIR_SPACE`
    `HIGHLIGHT`
    `INDENT_HERE_TAB`
    `NON_BREAKING_HYPHEN`
    `NOTE_REFERENCE`
    `PUNCTUATION_SPACE`
    `QUARTER_SPACE`
    `RIGHT_INDENT_TAB`
    `SECTION_MARKER`
    `SHADE`
    `SHADOW`
    `SIXTH_SPACE`
    `STRIKE_THROUGH`
    `SUBSCRIPT`
    `SUPERSCRIPT`
    `TABLE_REFERENCE`
    `THIN_SPACE`
    `THIRD_SPACE`
    `UNDERLINE`
    `ZERO_WIDTH_NO_BREAK_SPACE`
    `ZERO_WIDTH_NON_JOINER`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static ExtendedCodeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ExtendedCodeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COLOR

          public static final ExtendedCodeType COLOR

    - #### HIGHLIGHT

          public static final ExtendedCodeType HIGHLIGHT

    - #### SHADE

          public static final ExtendedCodeType SHADE

    - #### SHADOW

          public static final ExtendedCodeType SHADOW

    - #### STRIKE_THROUGH

          public static final ExtendedCodeType STRIKE_THROUGH

    - #### UNDERLINE

          public static final ExtendedCodeType UNDERLINE

    - #### SUPERSCRIPT

          public static final ExtendedCodeType SUPERSCRIPT

    - #### SUBSCRIPT

          public static final ExtendedCodeType SUBSCRIPT

    - #### TABLE_REFERENCE

          public static final ExtendedCodeType TABLE_REFERENCE

    - #### FOOTNOTE_REFERENCE

          public static final ExtendedCodeType FOOTNOTE_REFERENCE

    - #### NOTE_REFERENCE

          public static final ExtendedCodeType NOTE_REFERENCE

    - #### ALIGNMENT

          public static final ExtendedCodeType ALIGNMENT

    - #### END_NESTED_STYLE

          public static final ExtendedCodeType END_NESTED_STYLE

    - #### FOOTNOTE_MARKER

          public static final ExtendedCodeType FOOTNOTE_MARKER

    - #### INDENT_HERE_TAB

          public static final ExtendedCodeType INDENT_HERE_TAB

    - #### RIGHT_INDENT_TAB

          public static final ExtendedCodeType RIGHT_INDENT_TAB

    - #### AUTO_PAGE_NUMBER

          public static final ExtendedCodeType AUTO_PAGE_NUMBER

    - #### SECTION_MARKER

          public static final ExtendedCodeType SECTION_MARKER

    - #### FIXED_WIDTH_NON_BREAKING_SPACE

          public static final ExtendedCodeType FIXED_WIDTH_NON_BREAKING_SPACE

    - #### HAIR_SPACE

          public static final ExtendedCodeType HAIR_SPACE

    - #### THIN_SPACE

          public static final ExtendedCodeType THIN_SPACE

    - #### PUNCTUATION_SPACE

          public static final ExtendedCodeType PUNCTUATION_SPACE

    - #### FIGURE_SPACE

          public static final ExtendedCodeType FIGURE_SPACE

    - #### SIXTH_SPACE

          public static final ExtendedCodeType SIXTH_SPACE

    - #### QUARTER_SPACE

          public static final ExtendedCodeType QUARTER_SPACE

    - #### THIRD_SPACE

          public static final ExtendedCodeType THIRD_SPACE

    - #### FLUSH_SPACE

          public static final ExtendedCodeType FLUSH_SPACE

    - #### FORCED_LINE_BREAK

          public static final ExtendedCodeType FORCED_LINE_BREAK

    - #### DISCRETIONARY_LINE_BRAKE

          public static final ExtendedCodeType DISCRETIONARY_LINE_BRAKE

    - #### ZERO_WIDTH_NON_JOINER

          public static final ExtendedCodeType ZERO_WIDTH_NON_JOINER

    - #### DISCRETIONARY_HYPHEN

          public static final ExtendedCodeType DISCRETIONARY_HYPHEN

    - #### NON_BREAKING_HYPHEN

          public static final ExtendedCodeType NON_BREAKING_HYPHEN

    - #### ZERO_WIDTH_NO_BREAK_SPACE

          public static final ExtendedCodeType ZERO_WIDTH_NO_BREAK_SPACE

  - ### Method Detail

    - #### values

          public static ExtendedCodeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExtendedCodeType c : ExtendedCodeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExtendedCodeType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()